com.lowagie.text.rtf.document

## Class RtfInfoGroup

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.document.RtfInfoGroup

- All Implemented Interfaces:
    RtfBasicElement, RtfElementInterface

      public class RtfInfoGroup
      extends RtfElement

  The RtfInfoGroup stores information group elements.
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at), Howard Shank (hgshank@yahoo.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static byte[]` | `INFO_GROUP` Information group starting tag
    `private static byte[]` | `INFO_PASSWORD` Constant for the password element.
    `(package private) java.util.ArrayList` | `infoElements` The RtfInfoElements that belong to this RtfInfoGroup

    - ### Fields inherited from class com.lowagie.text.rtf.RtfElement

      `document, inHeader, inTable`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfInfoGroup(RtfDocument doc)` Constructs a RtfInfoGroup belonging to a RtfDocument

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(RtfInfoElement infoElement)` Adds an RtfInfoElement to the RtfInfoGroup
    `void` | `writeContent(java.io.OutputStream result)` Writes the RTF information group and its elements.

    - ### Methods inherited from class com.lowagie.text.rtf.RtfElement

      `intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFO_GROUP

          private static final byte[] INFO_GROUP

      Information group starting tag

    - #### INFO_PASSWORD

          private static final byte[] INFO_PASSWORD

      Constant for the password element. Author: Howard Shank (hgshank@yahoo.com)
      Since:
        2.1.1

    - #### infoElements

          java.util.ArrayList infoElements

      The RtfInfoElements that belong to this RtfInfoGroup

  - ### Constructor Detail

    - #### RtfInfoGroup

          public RtfInfoGroup(RtfDocument doc)

      Constructs a RtfInfoGroup belonging to a RtfDocument
      Parameters:
        `doc` - The RtfDocument this RtfInfoGroup belongs to

  - ### Method Detail

    - #### add

          public void add(RtfInfoElement infoElement)

      Adds an RtfInfoElement to the RtfInfoGroup
      Parameters:
        `infoElement` - The RtfInfoElement to add

    - #### writeContent

          public void writeContent(java.io.OutputStream result)
                            throws java.io.IOException

      Writes the RTF information group and its elements.
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfElement`
      Parameters:
        `result` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`